---
title: On Websites (Or The Case For The Personal Web)
date: 2025-05-05
---

## Preamble

The internet is a [lovecraftian entity](/blog/the-lovecraftian-internet) in its
size and complexity. Much of its gargantuan scope is invisible to us, the _deep
web_, but even the surface web is mostly beyond our comprehension as
individuals. The electric highways are, in no small part, dominated by social
media platforms. The internet is the perfect technology for sharing ourselves
with others, and social media makes this easy. However, it's come at a great
cost -- to our privacy, our money, our freedom, our individuality.

I'm not here to litigate the complicated issue that is social media's effect on
society. I'm not here to tell you _why_ there's a problem with our digital
platforms. What I will say is that it seems fairly uncontroversial to point out
that social media is an _addiction_ for many of us. I'm sure that you, dear
reader, have also considered "taking a break" or even quitting. Even if we don't
know exactly why, we do seem to agree, as a society, that something is wrong.

Past this introduction, I'm not here to criticize social media. I'm also not
here to refer you to other platforms like Mastodon and Matrix. I'm here to tell
you that **the internet doesn't have to be this way**.

## Websites

Today, we think of websites as _platforms_: storefronts, news, town squares,
encyclopedias. Something maintained by companies and organizations providing a
service. The space for _us_ to share _ourselves_, it seems, is on someone else's
website. What format you can post in, how your profile looks; you're at the
mercy of the service provider. So, why don't we just make our own websites?

A website is actually remarkably simple. Sure, **web development** isn't; it's
been increasing in complexity and bloat by the year. But a _website_ is _just_ a
document that's hosted at some address. Visitors _download_ the document, and
their browser _renders_ it. That's how you're reading this page, even.

Websites don't **need** functionality. They don't need fancy graphics and
buttons. They literally **only** need text. Everything else is fluff -- great
fluff, my own site has images and a theme -- but fluff nonetheless. As soon as
you realize this, you'll learn that you don't need to be a developer or tech
wizard to publish a website. And I argue that, as creative individuals, to make
full use of what the web is **really** great at, it's definitely worth
publishing a website.

## Why Should You Make A Website?

I think there's something to be said for having a corner of the internet that's
_truly_ your own. When you post on social media, that profile isn't **really**
yours. If it were, how come you can't, say, change the background color? Play
music for your visitors? How come you're limited by _how_ you can post? On
Instagram, you can only post visual media, not really the best way to share your
complex thoughts on something.

Your website is **yours**. You can post what, when, and how _you_ want to. The
_data_ is yours too. There are so many ways to express your creativity and
personality through this medium. Take a stroll through
[Neocities'](https://neocities.org) public offerings sometime to see what I
mean.

When you publish to your website, you're not thinking about likes, shares and
friends. You just write, and upload. Whoever reads it, reads it. Unless you've
set up some analytics (which I don't even recommend), you _don't_ know how many
people have read your posts. And I think it's better this way.

Stepping away from social media to cultivate my own digital garden has allowed
me to perform a more authentic version of myself on the internet. It's great
having one, central place to share myself with the wold. Blog posts, art,
technical projects, my resume, all I need to do now is direct people here.

So, do yourself a favor and try building a personal website. I think it's one of
the most rewarding ways to participate in the internet.
