---
title: The Lovecraftian Internet
date: 2025-04-05
---

The web we know is spun by gluttonous spiders no longer satiated by flies and
roaches. They cast their net wide across the world, like cuckoos they lay their
parasitic eggs inside our lives. They fondle our brains until our DNA is
infested with algorithms, our ribcages become mainframes and our eyes turn into
screens.

<div class="image-container">
<img src="/static/images/hrgiger.png" alt="A dithered monochrome image of HR Giger's Li II (1976)">

<small><a href="https://www.pixography.art/post/117714084121/hr-giger-li-i-ii-1974-li-tobler-1948">Li
II, H.R. Giger, 1976.</a></small>

</div>

No more.

The spores are already sprouting, recycling the decaying corporate internet into
binary compost.

The internet is incomprehensively massive. Conservative estimates claim at least
**4.2 billion** indexed webpages.<sup>1</sup> _Indexed_, in this context, means
publicly accessible individual webpages that can be found on a search engine
because [web crawlers](https://en.wikipedia.org/wiki/Web_crawler) can reach
them. This is known as the **surface web**.

The figure doesn't account for the rest of the internet: private resources
hidden behind firewalls, internal webpages and services, e-mail traffic, IoT
devices, direct messages, video game servers, media & file storage, just to name
a few. These are all part of the **deep web**: the portion of the internet that
cannot be indexed by search engines.

<div class="image-container">
<img src="/static/images/datacenter2-d.jpg" alt="A dithered grayscale image of a datacenter">

<small><a href="https://flic.kr/p/7xhNmM">Leonardo Rizzi, 2010.</a></small>

</div>

No one knows the true size of the deep web. It's impossible to even guess.
According to the BBC,<sup>2</sup> the "big four" store _at least_ **1.2 million
terabytes** of data. So even before we consider the fairly recent eruption of AI
and the sprawling datasets and models that came with it, that's already
<strong>9.6 x 10<sup>18</sup></strong> bits of data. That's more ones and zeros
than grains of sand on Earth.<sup>3</sup>

The internet is a
[Lovecraftian](https://www.hplovecraft.com/creation/bestiary.aspx) entity in
scale, tangibility, and perceptibility. Clearly, this web was not spun by an
itsy-bitsy spider.

---

# References

1. [WorldWideWebSize](https://www.worldwidewebsize.com/)
2. [ScienceFocus Magazine](https://www.sciencefocus.com/future-technology/how-much-data-is-on-the-internet)
3. [NPR](https://www.npr.org/sections/krulwich/2012/09/17/161096233/which-is-greater-the-number-of-sand-grains-on-earth-or-stars-in-the-sky)
